UI::GXML::Tree::NodeSet::Dump Class Reference

NodeSet serializer. More...

`#include <Tree.hpp>`

Collaboration diagram for UI::GXML::Tree::NodeSet::Dump:

## Public Member Functions

| Dump ()
| Default constructor, creates an empty dump.
int | concat (std::string const &text)
| Append a free text to the dump.
int | concat (Node const &node, bool const &format=false, std::string const &encoding=DefaultEncoding_)
| Append a node to the dump.
| Dump (Node const &node, bool const &format=false, std::string const &encoding=DefaultEncoding_)
| Construct from node.
int | concat (NodeSet const &nodeSet, bool const &format=false, std::string const &encoding=DefaultEncoding_)
| Append a node set to the dump.
| Dump (NodeSet const &ns, bool const &format=false, std::string const &encoding=DefaultEncoding_)
| Construct from node set.
Get serialized content.
char const * | getC () const
std::string | get () const
int | getSize () const

## Detailed Description

NodeSet serializer.

The documentation for this class was generated from the following files:

- Tree.hpp
- Tree.cpp